Bug 415121 - undefined-non-weak-symbol on libshout.so.3 (speex_packet_to_header)
undefined-non-weak-symbol on libshout.so.3 (speex_packet_to_header)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libshout (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Vander Stichele
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-06 19:57 EST by Nicolas Chauvet (kwizart)
Modified: 2007-12-15 12:46 EST (History)
0 users

See Also:
Fixed In Version: 2.2.2-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-15 12:46:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-12-06 19:57:08 EST
Description of problem: vlc from livna is compiled with libshout but libshout is
missing some non-week symbols which prevent it to load when vlc wants to use it


Version-Release number of selected component (if applicable):
Version     : 2.2.2 (tagged as fc6 on F-7 but experienced on F-7 x86_64 and F-8
i686 )

How reproducible: all the time

  
Actual results:
[root@kwizatz ~]# rpmlint libshout
libshout.x86_64: W: summary-not-capitalized icecast source streaming library
libshout.x86_64: W: invalid-license LGPL
libshout.x86_64: W: undefined-non-weak-symbol /usr/lib64/libshout.so.3.2.0
speex_packet_to_header
libshout.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libshout.so.3.2.0
/lib64/libm.so.6


Expected results:
all theses warning have to disappear and specially speex_packet_to_header as
undefined-non-weak-symbol have to be treated as an errors as it prevent libshout
to be used from vlc...


Additional info: speex 1.2-0.2beta1 was installed on F-7 x86_64
Version     : 1.2
Vendor: Red Hat, Inc.
Release     : 0.2.beta1
Comment 1 Fedora Update System 2007-12-10 15:44:40 EST
libshout-2.2.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libshout'
Comment 2 Fedora Update System 2007-12-15 12:46:07 EST
libshout-2.2.2-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.